import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class YearnContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    yearnGovernance({ address, network }: ContractOpts): import("./ethers").YearnGovernance;
    yearnLpYCrv({ address, network }: ContractOpts): import("./ethers").YearnLpYCrv;
    yearnStakedYCrv({ address, network }: ContractOpts): import("./ethers").YearnStakedYCrv;
    yearnVault({ address, network }: ContractOpts): import("./ethers").YearnVault;
    yearnVaultV2({ address, network }: ContractOpts): import("./ethers").YearnVaultV2;
    yearnYCrv({ address, network }: ContractOpts): import("./ethers").YearnYCrv;
}
export type { YearnGovernance } from './ethers';
export type { YearnLpYCrv } from './ethers';
export type { YearnStakedYCrv } from './ethers';
export type { YearnVault } from './ethers';
export type { YearnVaultV2 } from './ethers';
export type { YearnYCrv } from './ethers';
